searchNodes=[{"doc":"Documentation for Elxvips.","ref":"Elxvips.html","title":"Elxvips","type":"module"},{"doc":"Will create an %ImageByte{} struct from bitstring or byte list. This struct will be used for further processing.Examplesiex&gt; import Elxvips iex&gt; iex&gt; file = File.open!( &quot;/path/input.png&quot; ) iex&gt; bytes = IO.binread( file, :all ) iex&gt; from_bytes( bytes ) %ImageBytes{}","ref":"Elxvips.html#from_bytes/1","title":"Elxvips.from_bytes/1","type":"function"},{"doc":"Will create an %ImageFile{} struct from path. This struct will be used for further processing.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;/path/input.png&quot; ) %ImageFile{}","ref":"Elxvips.html#from_file/1","title":"Elxvips.from_file/1","type":"function"},{"doc":"Returns format of the specified image, works with a image path or bytes.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;test/input.png&quot; ) iex&gt; |&gt; get_image_format() {:ok, :png}","ref":"Elxvips.html#get_image_format/1","title":"Elxvips.get_image_format/1","type":"function"},{"doc":"Returns dimensions of the specified image, works with a image path or bytes.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;test/input.png&quot; ) iex&gt; |&gt; get_image_sizes() {:ok, [640, 486]}","ref":"Elxvips.html#get_image_sizes/1","title":"Elxvips.get_image_sizes/1","type":"function"},{"doc":"Will save the ImageFile in jpeg format to a specified path. Accepts quality and strip options. By default quality is set to 90 and strip to true.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;/path/input.png&quot; ) iex&gt; |&gt; jpg( strip: true, quality: 72 ) iex |&gt; to_file( &quot;/path/output.jpg&quot; ) { :ok, %ImageFile{} }","ref":"Elxvips.html#jpg/2","title":"Elxvips.jpg/2","type":"function"},{"doc":"Will save the ImageFile in png format to a specified path. Accepts quality, compression(0-9) and strip options. By default quality is set to 100, compression to 6, strip to true. Decreasing compression will speed up image saving.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; png( strip: true, quality: 72 ) iex |&gt; to_file( &quot;/path/output.png&quot; ) { :ok, %ImageFile{} }","ref":"Elxvips.html#png/2","title":"Elxvips.png/2","type":"function"},{"doc":"Applies resize options to an %ImageFile{} or %ImageBytes{}, accepts :width, :height and :type (not implemented yet). If no width or height is specified dimensions are calculated from the input image. Empty resize( no :width and no :height) will produce an image with the dimensions as the original one.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;test/input.png&quot; ) iex&gt; |&gt; resize( width: 300 ) iex |&gt; to_bytes() {:ok, %ImageBytes{}}","ref":"Elxvips.html#resize/2","title":"Elxvips.resize/2","type":"function"},{"doc":"","ref":"Elxvips.html#set_concurrency/1","title":"Elxvips.set_concurrency/1","type":"function"},{"doc":"Will create a new %ImageBytes{} struct containing all the changes.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;test/input.png&quot; ) iex&gt; |&gt; png() iex&gt; |&gt; to_bytes() {:ok, %ImageBytes{}}","ref":"Elxvips.html#to_bytes/1","title":"Elxvips.to_bytes/1","type":"function"},{"doc":"Will save the image to a path on disk and return a new %ImageFile{} from the new path.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;test/input.png&quot; ) iex&gt; |&gt; png() iex&gt; |&gt; to_file( &quot;test/outping.png&quot; ) {:ok, %ImageBytes{}}","ref":"Elxvips.html#to_file/2","title":"Elxvips.to_file/2","type":"function"},{"doc":"Will save the ImageFile in webp format to a specified path. Accepts quality and strip options. By default quality is set to 100, and strip to true.Examplesiex&gt; import Elxvips iex&gt; iex&gt; from_file( &quot;/path/input.jpg&quot; ) iex&gt; |&gt; webp( strip: true, quality: 72 ) iex |&gt; to_file( &quot;/path/output.webp&quot; ) { :ok, %ImageFile{} }","ref":"Elxvips.html#webp/2","title":"Elxvips.webp/2","type":"function"},{"doc":"","ref":"Elxvips.ImageBytes.html","title":"Elxvips.ImageBytes","type":"module"},{"doc":"","ref":"Elxvips.ImageFile.html","title":"Elxvips.ImageFile","type":"module"},{"doc":"","ref":"Elxvips.ResizeOptions.html","title":"Elxvips.ResizeOptions","type":"module"},{"doc":"","ref":"Elxvips.SaveOptions.html","title":"Elxvips.SaveOptions","type":"module"}]